# Tomcat
server:
  port: 29201

# nacos命名空间通用参数
nacos:
  namespace: @nacos.namespace@
  server-addr: @nacos.server-addr@
  group: @nacos.group@
# Spring
spring:
  application:
    # 应用名称
    name: @artifactId@
    dbname: vctgo_platform
  profiles:
    # 环境配置
    active: @profiles.active@
  cloud:
    nacos:
      # 服务注册地址
      server-addr: ${nacos.server-addr}
      discovery:
        service: ${spring.application.name}
        namespace: ${nacos.namespace}
        group: ${nacos.group}
      config:
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.server-addr}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - vctgo-db-${spring.profiles.active}.yml
          - vctgo-redis-${spring.profiles.active}.yml
          - vctgo-seata-${spring.profiles.active}.yml
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: ${nacos.namespace}


wechat:
  grantType: authorization_code
  url: https://api.weixin.qq.com/sns/jscode2session
  userInfoUrl: https://api.weixin.qq.com/sns/userinfo
  accessToken: https://api.weixin.qq.com/cgi-bin/token
  phoneNumber: https://api.weixin.qq.com/wxa/business/getuserphonenumber
  secret: 50cd58dbea5f862b875493b02ed75e72
  appid: wx141d76372d16aa59